## aura-browser 5.27.10+p24.04+vunstable+git20260201.0605

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16.0)

project(aura-browser)
set(PROJECT_VERSION "6.0.80")

set(CMAKE_CXX_STANDARD 17)
set(CMAKE_CXX_STANDARD_REQUIRED ON)
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -D_GLIBCXX_USE_CXX11_ABI=1")

set(QT_MIN_VERSION "6.6.0")
set(KF6_MIN_VERSION "5.240.0")

find_package(ECM ${KF6_MIN_VERSION} REQUIRED NO_MODULE)

set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} "${CMAKE_SOURCE_DIR}/cmake")

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(ECMInstallIcons)
include(FeatureSummary)
include(ECMDeprecationSettings)

find_package(Qt6 ${QT_MIN_VERSION} REQUIRED COMPONENTS
    Core
    Qml
    Quick
    Test
    Widgets
    QuickControls2
    Multimedia
    WebEngineQuick
)

find_package(KF6 ${KF6_MIN_VERSION} REQUIRED
    Kirigami
    I18n
)

find_package(Threads)

ecm_set_disabled_deprecation_versions(QT 6.8.1
    KF 6.9.0
)

add_subdirectory(app)
add_subdirectory(icons)

install(FILES org.kde.invent.aura_browser.metainfo.xml DESTINATION ${KDE_INSTALL_METAINFODIR})

ki18n_install(po)

feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== app/CMakeLists.txt ===
add_executable(aura-browser ${aura_browser_SRCS}
    main.cpp
    plugins/virtualMouse.cpp plugins/virtualMouse.h
    plugins/virtualKeypress.cpp plugins/virtualKeypress.h
    plugins/globalSettings.cpp plugins/globalSettings.h
    plugins/keyfilter.cpp plugins/keyfilter.h
    third-party/ad-block/ad_block_client.cc
    third-party/ad-block/no_fingerprint_domain.cc
    third-party/ad-block/filter.cc
    third-party/ad-block/protocol.cc
    third-party/ad-block/context_domain.cc
    third-party/ad-block/cosmetic_filter.cc
    third-party/bloom-filter-cpp/BloomFilter.cpp third-party/bloom-filter-cpp/BloomFilter.h
    third-party/hashset-cpp/hash_set.cc
    third-party/hashset-cpp/hashFn.cc
    qml.qrc
)

target_link_libraries(aura-browser
    Qt::Quick
    Qt::Widgets
    Qt::Core 
    Qt::Qml
    Qt::QuickControls2
    Qt::WebEngineQuick
    Qt::Test
    Qt::Multimedia
    KF6::Kirigami
    KF6::I18n
    KF6::I18nQml
    ${CMAKE_THREAD_LIBS_INIT}
)

install(TARGETS aura-browser ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

set(DesktopNoDisplay "false")
set(DesktopMimeType "text/html;text/xml;application/xhtml_xml;x-scheme-handler/http;x-scheme-handler/https;")
set(DesktopExec "aura-browser %u")
configure_file(org.kde.aura-browser.desktop.cmake ${CMAKE_CURRENT_BINARY_DIR}/org.kde.aura-browser.desktop)
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/org.kde.aura-browser.desktop DESTINATION ${KDE_INSTALL_APPDIR})

## aura-browser 5.27.10+p24.04+vunstable+git20260123.0342

=== debian/changelog ===
aura-browser (5.27.10+p24.04+vunstable+git20260123.0342-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 23 Jan 2026 03:43:04 +0000

aura-browser (5.27.10-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 06 Dec 2023 02:07:05 +0000

aura-browser (5.27.9-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 24 Oct 2023 15:05:27 +0000

aura-browser (5.27.8-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 14 Sep 2023 13:33:11 +0000

aura-browser (5.27.7-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 20 Jun 2023 16:15:11 +0000

aura-browser (5.27.5-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 10 May 2023 12:42:27 +0000

aura-browser (5.27.4-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 04 Apr 2023 12:38:05 +0000

aura-browser (5.27.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 14 Mar 2023 15:19:36 +0000

aura-browser (5.27.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 28 Feb 2023 14:11:43 +0000

aura-browser (5.27.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 21 Feb 2023 14:40:48 +0000

aura-browser (5.27.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 09 Feb 2023 12:54:43 +0000

aura-browser (5.26.4-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 29 Nov 2022 13:52:26 +0000

aura-browser (5.26.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 26 Oct 2022 11:48:28 +0000

aura-browser (5.26.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 21 Oct 2022 14:26:01 +0000

aura-browser (5.26.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 09 Oct 2022 10:05:50 +0000

aura-browser (5.25.80-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 03 May 2022 12:26:01 +0000

=== debian/control ===
Source: aura-browser
Section: kde
Priority: optional
Build-Depends: cmake,
               debhelper-compat (= 13),
               kf6-extra-cmake-modules,
               kf6-ki18n-dev,
               kf6-kirigami2-dev,
               pkg-kde-tools-neon,
               qt6-base-dev,
               qt6-declarative-dev,
               qt6-multimedia-dev,
               qt6-webengine-dev
Standards-Version: 4.5.1
Homepage: https://invent.kde.org/plasma-bigscreen/aura-browser
Vcs-Git: https://invent.kde.org/neon/neon-packaging/aura-browser.git
Vcs-Browser: https://invent.kde.org/neon/neon-packaging/aura-browser
Maintainer: Neon CI <neon@kde.org>

Package: aura-browser
Architecture: any
Depends: kf6-plasma-framework,
         plasma-nano,
         plasma-nm,
         plasma-settings,
         qml6-module-qtquick-localstorage,
         qml6-module-qtwebengine,
         ${misc:Depends},
         ${shlibs:Depends}
Description: Plasma Bigscreen
 Plasma for your television

## aura-browser 5.27.10+p24.04+vunstable+git20260201.0605

=== debian/changelog ===
aura-browser (5.27.10+p24.04+vunstable+git20260201.0605-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 01 Feb 2026 06:05:25 +0000
